using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.OleDb;

namespace AddUpdateDelete
{
    public partial class Form1 : Form
    {
        OleDbDataAdapter adapterEmployees;
        DataSet ds;
        DataTable dt;
        OleDbCommandBuilder cmd;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            string connectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=C:\\Program Files\\Microsoft Office\\OFFICE11\\SAMPLES\\Northwind.mdb";
            OleDbConnection con = new OleDbConnection(connectionString);
            string qstringOrders = "SELECT * FROM Employees";
            ds = new DataSet();
            dt = new DataTable("Employees");
            ds.Tables.Add(dt);
            adapterEmployees = new OleDbDataAdapter(qstringOrders, con);
            adapterEmployees.Fill(dt);
            cmd = new OleDbCommandBuilder(adapterEmployees);
            adapterEmployees.UpdateCommand = cmd.GetUpdateCommand();
            adapterEmployees.InsertCommand = cmd.GetInsertCommand();
            fpSpread1.DataSource = ds.Tables["Employees"];
        }

        private void button1_Click(object sender, EventArgs e) // Add
        {
            DataRow dr;
            dr = dt.NewRow();
            dt.Rows.Add(dr);
        }

        private void button3_Click(object sender, EventArgs e) //Update database
        {
            foreach (DataRow row in (fpSpread1_Sheet1.DataSource as DataTable).Rows)
                row.EndEdit();
            adapterEmployees.Update(ds, "Employees");
            ds.AcceptChanges();

        }

        private void button2_Click(object sender, EventArgs e) // Delete
        {
            fpSpread1.ActiveSheet.Rows[fpSpread1.ActiveSheet.ActiveRowIndex].Remove();
        }
    }
}